_Ecore_Exe_Event_Del Struct Reference
Ecore » Ecore main loop » Process Spawning Functions

Definition for a structure that stores information of a Process exit event. More...

`#include <Ecore_Common.h>`

## Data Fields

pid_t | pid
| The process ID of the process that exited.
int | exit_code
| The exit code of the process.
Ecore_Exe * | exe
| The handle to the exited process, or `NULL` if not found.
int | exit_signal
| The signal that caused the process to exit.
Eina_Bool | exited: 1
| Set to 1 if the process exited of its own accord.
Eina_Bool | signalled: 1
| Set to 1 if the process exited due to uncaught signal.
void * | ext_data
| Extension data - not used.
siginfo_t | data
| Signal info.

## Detailed Description

Definition for a structure that stores information of a Process exit event.